<template>
 <div class="gallery">
  <h1>{{title}}</h1>
    <li v-for="pic in pics" class="pic" :key="pic.items">
      <span v-html="pic.content"></span>
    </li>
  </div>
</template>

<script>
import galleryService from '../services/gallery.service'
export default {
  name: 'Gallery',
  data () {
    return {
      title: 'Flickr Feed Reader',
      pics: []
    }
  },
  mounted () {
    galleryService.getAll()
      .then((data) => {
        this.$set(this, 'pics', data.items)
      })
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.gallery {
    width: 80%;
    margin: 0 auto;
    text-align: center;
    padding-top: 10px;
    display: flex;
    flex-wrap: wrap;
}
.pic {
    border-radius: 3px;
    color: #FFFFFF;
    display: block;
    text-decoration: none;
    width: 100%;
    min-width: 150px;
    min-height:150px;
    padding: 10px;
    background-color: rgb(192, 57, 43);
    margin: 0 15px 15px 0;
}
</style>
